gd_nfields_by_type(3)

NAME
gd_nfields_by_type — report the number of fields of a given type in a dirfile

SYNOPSIS
#include <getdata.h>

unsigned int gd_nfields_by_type(DIRFILE *dirfile, gd_entype_t type);

DESCRIPTION
The gd_nfields_by_type() function queries a dirfile(5) database specified by dirfile and returns the number of fields of type type defined in the database. Notably, this count does not include /META fields.

The dirfile argument must point to a valid DIRFILE object previously created by a call to gd_open(3). The type argument should be one of the following symbols indicating the type of field to count:

    GD_BIT_ENTRY, GD_CARRAY_ENTRY, GD_CONST_ENTRY, GD_DIVIDE_ENTRY, GD_INDEX_ENTRY, GD_LINCOM_ENTRY, GD_LINTERP_ENTRY, GD_MULTIPLY_ENTRY, GD_PHASE_ENTRY, GD_POLYNOM_ENTRY, GD_RAW_ENTRY, GD_RECIP_ENTRY, GD_SBIT_ENTRY, GD_STRING_ENTRY.

RETURN VALUE
Upon successful completion, gd_nfields_by_type() returns the number of defined fields in the dirfile. On error, it returns zero and sets the dirfile error to a non-zero error value. Possible error values are:

GD_E_BAD_DIRFILE
    The supplied dirfile was invalid.

The dirfile error may be retrieved by calling gd_error(3). A descriptive error string for the last error encountered can be obtained from a call to gd_error_string(3).

SEE ALSO
dirfile(5), gd_open(3), gd_error(3), gd_error_string(3), gd_field_list_by_type(3), gd_nfields(3), gd_nmfields_by_type(3)